package com.yixin.ms.controller;


import cn.hutool.core.util.IdcardUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.yixin.ms.boot.restful.CommonException;
import com.yixin.ms.boot.restful.RestResult;
import com.yixin.ms.model.dto.LinkageDto;
import com.yixin.ms.model.dto.LinkageItemDto;
import com.yixin.ms.model.dto.ShortTermDTO;
import com.yixin.ms.model.vo.HealtCodeUserVO;
import com.yixin.ms.server.dto.FederatedPlatformsRequestBean;
import com.yixin.ms.service.HealthCodeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "健康码查询 API")
@RestController
@RequestMapping("/Face")
public class LinkageController {
    /**
     * 服务对象
     */
    private final HealthCodeService healthCodeService;

    @ApiOperation("联动平台接口")
    @PostMapping("/pushRecords")
    public RestResult<HealtCodeUserVO> getShortTermCertificate(@RequestBody JSONObject jsonObject) {
        log.info("---->联动平台接口入参:{}", jsonObject.toJSONString());

        Object o = jsonObject.get("data");
        ShortTermDTO item = new ShortTermDTO();
        String cardIdEx = "";
        String phone = "";
        if(o instanceof List){
            LinkageDto dto = jsonObject.toJavaObject(LinkageDto.class);
            List<LinkageItemDto> itemDtos = dto.getData();
            LinkageItemDto itemDto = itemDtos.get(0);
            item.setSn(dto.getSN());
            item.setIdNumber(itemDto.getIdNumber());
            item.setName(itemDto.getName());
            if (StrUtil.isNotBlank(itemDto.getCardid())) {
                item.setIdNumber(itemDto.getCardid());
            }
            if (StrUtil.isNotBlank(itemDto.getName())) {
                item.setName(itemDto.getName());
            }
            if (StrUtil.isNotBlank(itemDto.getCardid()) && "3".equals(itemDto.getVerifytype()) ) {
                item.setHealthCode(itemDto.getCardid());
            }
            if (StrUtil.isNotBlank(itemDto.getQrcode())) {
                item.setHealthCode(itemDto.getQrcode());
            }
            cardIdEx = itemDto.getCardIdEx();
            phone = itemDto.getPhone();
        }else {
            FederatedPlatformsRequestBean dto = jsonObject.toJavaObject(FederatedPlatformsRequestBean.class);
            FederatedPlatformsRequestBean.DataDTO itemDto = dto.getData();
            item.setSn(dto.getSN());
            item.setIdNumber(itemDto.getIdNumber());
            item.setName(itemDto.getName());
            item.setHealthCode(itemDto.getQrcode());
            cardIdEx = itemDto.getCardIdEx();
            phone = itemDto.getPhone();

        }
        item.setToken("hh_token_51063b27-9fd8-420d-b7eb-e5600fe0dec9");
        RestResult<HealtCodeUserVO> shortTerm = healthCodeService.getShortTerm(item);
        shortTerm.getData().setCardIdEx(cardIdEx);
        shortTerm.getData().setPhone(phone);
        return shortTerm;
    }
}
