package com.yixin.ms.server.dto;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.List;


@Data
public class FederatedPlatformsRequestBean {

    @SerializedName("SN")
    private String SN;
    @SerializedName("data")
    private DataDTO data;
    @Data
    public static class DataDTO {
        @SerializedName("idNumber")
        private String idNumber;//用户身份证号
        @SerializedName("name")
        private String name;//用户姓名
        @SerializedName("phone")
        private String phone;//用户手机号
        @SerializedName("qrcode")
        private String qrcode;//二维码值
        @SerializedName("sn")
        private String sn;//设备唯一编号"
        @SerializedName("verifyType")
        private String verifyType;//刷脸/刷码/刷身份证/刷护照/手动输入
        @SerializedName("taskId")
        private String taskId;//任务 id-用于连续任务时，区分该请求所属
        @SerializedName("value")
        private String value;//有交互页面时用户的选择结果
        @SerializedName("action")
        private String action;//通用/预检查/异步核销
        @SerializedName("photo")
        private String photo;//现场照片 base64
        @SerializedName("icNumber")
        private String icNumber;//IC卡
        @SerializedName("cardIdEx")
        private String cardIdEx;//物理卡号
        @SerializedName("extInfo")
        private ExtInfoDTO exInfo;
    }
    @Data
    public static class ExtInfoDTO {
        @SerializedName("idcardContent")
        private String idcardContent;
        @SerializedName("smileParams")
        private String smileParams;//刷脸请求接口时，没有证件号、二维码数据，而是在extInfo的smileParams里传刷脸返回的数据
        @SerializedName("passRes")
        private String passRes;
        @SerializedName("hhfaceParams")
        private String hhfaceParams;//百度刷脸传递给后台接口的刷脸数据
    }

}