package com.yixin.ms.server.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: lileilei
 * @date: 2022/6/22 17:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class PlaceInfoVO {
    @ApiModelProperty("城市编码")
    private String cityCode;

    private Integer adminId;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty("核酸有效期时间，单位小时，0:不限")
    private Integer nucleicExpirationTime;

    @ApiModelProperty("景区预约标识")
    private Boolean scenicFlag;

    @ApiModelProperty("是否开启健康码功能 0:关闭 1:开启")
    private Integer isOpenHealthCode;

    @ApiModelProperty("顶部标题 设备显示配置")
    private String topTitle;

    @ApiModelProperty("考试设备集合 多个逗号,隔开")
    private String examDevices;

    /**
     * 是否报警 true/false
     */
    @ApiModelProperty("是否报警 true/false")
    private Boolean isAlarm = false;
    @ApiModelProperty(value = "场所类型，0：通用场所，1：预约场所 2:楼宇场景")
    private Integer placeType;

    /**
     * ------ 账户添加配置信息2023-04-13 ------
     **/
    @ApiModelProperty("二维码是否显示 true/false")
    private Boolean showQrcode = false;
    @ApiModelProperty(value = "二维码的码值")
    private String qrcodeText;
    @ApiModelProperty(value = "广告图片的地址 ")
    private String advertise;

    @ApiModelProperty(value = "通行区域设备列表")
    private List<String> passDeviceList;

    /**
     * -----20230313添加------
     **/
    @ApiModelProperty(value = "是否接入学生管理平台 默认false-否不接入 true-开启")
    private Boolean studentManageSwitch = false;
    @ApiModelProperty(value = "学校代码")
    private String schoolCode;
    @ApiModelProperty(value = "学校区域代码")
    private String schoolCampusCode;
}
